Name:           perl-Geo-Proj4
Version:        1.09
Release:        3%{?dist}
Summary:        Perl binding to PROJ.4 cartographic projections library
# examples/use_epsg.pl: MIT or BSD or GPL+ or Artistic
# lib/Geo/Proj4.pm:     GPL+ or Artistic
# lib/Geo/Proj4.pod:    GPL+ or Artistic
# Makefile.PL:          GPL+ or Artistic
## unbundled
# src/4.8.0/projects.h: MIT
License:        (GPL+ or Artistic) and (MIT or BSD or GPL+ or Artistic)
URL:            https://metacpan.org/release/Geo-Proj4
Source0:        https://cpan.metacpan.org/authors/id/M/MA/MARKOV/Geo-Proj4-%{version}.tar.gz
# Do not use /usr/bin/env in shebangs, CPAN RT#128827
Patch0:         Geo-Proj4-1.09-Unify-examples-shebang.patch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# proj for cs2cs tool called from Makefile.PL
BuildRequires:  proj >= 4.4.9
BuildRequires:  proj-devel
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(DynaLoader)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(vars)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This package provides a Perl interface to PROJ.4 cartographic projections
library.

%prep
%setup -q -n Geo-Proj4-%{version}
%patch0 -p1
# Remove bundled PROJ.4 header file
rm -rf ./src
perl -i -n -e 'print $_ unless m{^src/}' MANIFEST

%build
unset FWTOOLS_DIR GEOPROJ_FWTOOLS_DIR
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 \
    OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -delete
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc ChangeLog examples README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Geo*
%{_mandir}/man3/*

%changelog
* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 30 2019 Jitka Plesnikova <jplesnik@redhat.com> - 1.09-2
- Perl 5.30 rebuild

* Wed Mar 13 2019 Petr Pisar <ppisar@redhat.com> 1.09-1
- Specfile autogenerated by cpanspec 1.78.
